> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# discord-channels

> Discord Channels

**Server path:** `/discord-channels` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                | Description                                                                                  |
| ------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------- |
| [`discord-channels_add_group_dm_user`](#discord-channels_add_group_dm_user)                                         | PUT /channels/\{channel\_id}/recipients/\{user\_id}                                          |
| [`discord-channels_add_my_message_reaction`](#discord-channels_add_my_message_reaction)                             | PUT /channels/\{channel\_id}/messages/\{message\_id}/reactions/\{emoji\_name}/@me            |
| [`discord-channels_add_thread_member`](#discord-channels_add_thread_member)                                         | PUT /channels/\{channel\_id}/thread-members/\{user\_id}                                      |
| [`discord-channels_bulk_delete_messages`](#discord-channels_bulk_delete_messages)                                   | POST /channels/\{channel\_id}/messages/bulk-delete                                           |
| [`discord-channels_create_channel_invite`](#discord-channels_create_channel_invite)                                 | POST /channels/\{channel\_id}/invites                                                        |
| [`discord-channels_create_message`](#discord-channels_create_message)                                               | POST /channels/\{channel\_id}/messages                                                       |
| [`discord-channels_create_pin`](#discord-channels_create_pin)                                                       | PUT /channels/\{channel\_id}/messages/pins/\{message\_id}                                    |
| [`discord-channels_create_thread`](#discord-channels_create_thread)                                                 | POST /channels/\{channel\_id}/threads                                                        |
| [`discord-channels_create_thread_from_message`](#discord-channels_create_thread_from_message)                       | POST /channels/\{channel\_id}/messages/\{message\_id}/threads                                |
| [`discord-channels_create_webhook`](#discord-channels_create_webhook)                                               | POST /channels/\{channel\_id}/webhooks                                                       |
| [`discord-channels_crosspost_message`](#discord-channels_crosspost_message)                                         | POST /channels/\{channel\_id}/messages/\{message\_id}/crosspost                              |
| [`discord-channels_delete_all_message_reactions`](#discord-channels_delete_all_message_reactions)                   | DELETE /channels/\{channel\_id}/messages/\{message\_id}/reactions                            |
| [`discord-channels_delete_all_message_reactions_by_emoji`](#discord-channels_delete_all_message_reactions_by_emoji) | DELETE /channels/\{channel\_id}/messages/\{message\_id}/reactions/\{emoji\_name}             |
| [`discord-channels_delete_channel`](#discord-channels_delete_channel)                                               | DELETE /channels/\{channel\_id}                                                              |
| [`discord-channels_delete_channel_permission_overwrite`](#discord-channels_delete_channel_permission_overwrite)     | DELETE /channels/\{channel\_id}/permissions/\{overwrite\_id}                                 |
| [`discord-channels_delete_group_dm_user`](#discord-channels_delete_group_dm_user)                                   | DELETE /channels/\{channel\_id}/recipients/\{user\_id}                                       |
| [`discord-channels_delete_message`](#discord-channels_delete_message)                                               | DELETE /channels/\{channel\_id}/messages/\{message\_id}                                      |
| [`discord-channels_delete_my_message_reaction`](#discord-channels_delete_my_message_reaction)                       | DELETE /channels/\{channel\_id}/messages/\{message\_id}/reactions/\{emoji\_name}/@me         |
| [`discord-channels_delete_pin`](#discord-channels_delete_pin)                                                       | DELETE /channels/\{channel\_id}/messages/pins/\{message\_id}                                 |
| [`discord-channels_delete_thread_member`](#discord-channels_delete_thread_member)                                   | DELETE /channels/\{channel\_id}/thread-members/\{user\_id}                                   |
| [`discord-channels_delete_user_message_reaction`](#discord-channels_delete_user_message_reaction)                   | DELETE /channels/\{channel\_id}/messages/\{message\_id}/reactions/\{emoji\_name}/\{user\_id} |
| [`discord-channels_deprecated_create_pin`](#discord-channels_deprecated_create_pin)                                 | PUT /channels/\{channel\_id}/pins/\{message\_id}                                             |
| [`discord-channels_deprecated_delete_pin`](#discord-channels_deprecated_delete_pin)                                 | DELETE /channels/\{channel\_id}/pins/\{message\_id}                                          |
| [`discord-channels_deprecated_list_pins`](#discord-channels_deprecated_list_pins)                                   | GET /channels/\{channel\_id}/pins                                                            |
| [`discord-channels_follow_channel`](#discord-channels_follow_channel)                                               | POST /channels/\{channel\_id}/followers                                                      |
| [`discord-channels_get_answer_voters`](#discord-channels_get_answer_voters)                                         | GET /channels/\{channel\_id}/polls/\{message\_id}/answers/\{answer\_id}                      |
| [`discord-channels_get_channel`](#discord-channels_get_channel)                                                     | GET /channels/\{channel\_id}                                                                 |
| [`discord-channels_get_message`](#discord-channels_get_message)                                                     | GET /channels/\{channel\_id}/messages/\{message\_id}                                         |
| [`discord-channels_get_thread_member`](#discord-channels_get_thread_member)                                         | GET /channels/\{channel\_id}/thread-members/\{user\_id}                                      |
| [`discord-channels_join_thread`](#discord-channels_join_thread)                                                     | PUT /channels/\{channel\_id}/thread-members/@me                                              |
| [`discord-channels_leave_thread`](#discord-channels_leave_thread)                                                   | DELETE /channels/\{channel\_id}/thread-members/@me                                           |
| [`discord-channels_list_channel_invites`](#discord-channels_list_channel_invites)                                   | GET /channels/\{channel\_id}/invites                                                         |
| [`discord-channels_list_channel_webhooks`](#discord-channels_list_channel_webhooks)                                 | GET /channels/\{channel\_id}/webhooks                                                        |
| [`discord-channels_list_message_reactions_by_emoji`](#discord-channels_list_message_reactions_by_emoji)             | GET /channels/\{channel\_id}/messages/\{message\_id}/reactions/\{emoji\_name}                |
| [`discord-channels_list_messages`](#discord-channels_list_messages)                                                 | GET /channels/\{channel\_id}/messages                                                        |
| [`discord-channels_list_my_private_archived_threads`](#discord-channels_list_my_private_archived_threads)           | GET /channels/\{channel\_id}/users/@me/threads/archived/private                              |
| [`discord-channels_list_pins`](#discord-channels_list_pins)                                                         | GET /channels/\{channel\_id}/messages/pins                                                   |
| [`discord-channels_list_private_archived_threads`](#discord-channels_list_private_archived_threads)                 | GET /channels/\{channel\_id}/threads/archived/private                                        |
| [`discord-channels_list_public_archived_threads`](#discord-channels_list_public_archived_threads)                   | GET /channels/\{channel\_id}/threads/archived/public                                         |
| [`discord-channels_list_thread_members`](#discord-channels_list_thread_members)                                     | GET /channels/\{channel\_id}/thread-members                                                  |
| [`discord-channels_poll_expire`](#discord-channels_poll_expire)                                                     | POST /channels/\{channel\_id}/polls/\{message\_id}/expire                                    |
| [`discord-channels_set_channel_permission_overwrite`](#discord-channels_set_channel_permission_overwrite)           | PUT /channels/\{channel\_id}/permissions/\{overwrite\_id}                                    |
| [`discord-channels_thread_search`](#discord-channels_thread_search)                                                 | GET /channels/\{channel\_id}/threads/search                                                  |
| [`discord-channels_trigger_typing_indicator`](#discord-channels_trigger_typing_indicator)                           | POST /channels/\{channel\_id}/typing                                                         |
| [`discord-channels_update_channel`](#discord-channels_update_channel)                                               | PATCH /channels/\{channel\_id}                                                               |
| [`discord-channels_update_message`](#discord-channels_update_message)                                               | PATCH /channels/\{channel\_id}/messages/\{message\_id}                                       |
| [`discord-channels_update_voice_channel_status`](#discord-channels_update_voice_channel_status)                     | Set a voice channel's status.                                                                |

***

## discord-channels\_add\_group\_dm\_user

PUT /channels/\{channel\_id}/recipients/\{user\_id}

**Parameters:**

| Parameter      | Type   | Required | Default | Description |                |
| -------------- | ------ | -------- | ------- | ----------- | -------------- |
| `channel_id`   | string | Yes      | —       | Channel Id  |                |
| `user_id`      | string | Yes      | —       | User Id     |                |
| `access_token` | string | null     | No      | —           | Access Token   |
| `nick`         | string | null     | No      | —           | The nick value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      },
      "access_token": {
        "type": [
          "string",
          "null"
        ],
        "description": "Access Token"
      },
      "nick": {
        "type": [
          "string",
          "null"
        ],
        "description": "The nick value"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "user_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_add\_my\_message\_reaction

PUT /channels/\{channel\_id}/messages/\{message\_id}/reactions/\{emoji\_name}/@me

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `message_id` | string | Yes      | —       | Message Id  |
| `emoji_name` | string | Yes      | —       | Emoji Name  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      },
      "emoji_name": {
        "type": "string",
        "description": "Emoji Name"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id",
      "emoji_name"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_add\_thread\_member

PUT /channels/\{channel\_id}/thread-members/\{user\_id}

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `user_id`    | string | Yes      | —       | User Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "user_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_bulk\_delete\_messages

POST /channels/\{channel\_id}/messages/bulk-delete

**Parameters:**

| Parameter    | Type      | Required | Default | Description        |
| ------------ | --------- | -------- | ------- | ------------------ |
| `channel_id` | string    | Yes      | —       | Channel Id         |
| `messages`   | string\[] | Yes      | —       | The messages value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "messages": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "snowflake"
        },
        "description": "The messages value"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "messages"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_create\_channel\_invite

POST /channels/\{channel\_id}/invites

**Parameters:**

| Parameter    | Type   | Required | Default | Description  |
| ------------ | ------ | -------- | ------- | ------------ |
| `channel_id` | string | Yes      | —       | Channel Id   |
| `body`       | object | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_create\_message

POST /channels/\{channel\_id}/messages

**Parameters:**

| Parameter             | Type      | Required | Default | Description           |                   |
| --------------------- | --------- | -------- | ------- | --------------------- | ----------------- |
| `channel_id`          | string    | Yes      | —       | Channel Id            |                   |
| `allowed_mentions`    | object    | No       | —       | Allowed Mentions      |                   |
| `attachments`         | object\[] | No       | —       | The attachments value |                   |
| `components`          | any\[]    | No       | —       | The components value  |                   |
| `content`             | string    | null     | No      | —                     | The content value |
| `embeds`              | object\[] | No       | —       | The embeds value      |                   |
| `enforce_nonce`       | boolean   | null     | No      | —                     | Enforce Nonce     |
| `flags`               | integer   | null     | No      | —                     | The flags value   |
| `message_reference`   | object    | No       | —       | Message Reference     |                   |
| `nonce`               | object    | No       | —       | The nonce value       |                   |
| `poll`                | object    | No       | —       | The poll value        |                   |
| `shared_client_theme` | object    | No       | —       | Shared Client Theme   |                   |
| `sticker_ids`         | string\[] | No       | —       | Sticker Ids           |                   |
| `tts`                 | boolean   | null     | No      | —                     | The tts value     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "allowed_mentions": {
        "type": "object",
        "description": "Allowed Mentions",
        "properties": {
          "parse": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "The parse value"
          },
          "users": {
            "type": "array",
            "items": {
              "type": "string",
              "format": "snowflake"
            },
            "description": "The users value"
          },
          "roles": {
            "type": "array",
            "items": {
              "type": "string",
              "format": "snowflake"
            },
            "description": "The roles value"
          },
          "replied_user": {
            "type": "boolean",
            "description": "Replied User"
          }
        }
      },
      "attachments": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "format": "snowflake",
              "description": "The id value"
            },
            "filename": {
              "type": "string",
              "description": "The filename value"
            },
            "description": {
              "type": "string",
              "description": "The description value"
            },
            "duration_secs": {
              "type": "number",
              "format": "double",
              "description": "Duration Secs"
            },
            "waveform": {
              "type": "string",
              "description": "The waveform value"
            },
            "title": {
              "type": "string",
              "description": "The title value"
            },
            "is_remix": {
              "type": "boolean",
              "description": "Is Remix"
            }
          },
          "required": [
            "id"
          ]
        },
        "description": "The attachments value"
      },
      "components": {
        "type": "array",
        "description": "The components value"
      },
      "content": {
        "type": [
          "string",
          "null"
        ],
        "description": "The content value"
      },
      "embeds": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "type": {
              "type": "string",
              "description": "The type value"
            },
            "url": {
              "type": "string",
              "format": "uri",
              "description": "The url value"
            },
            "title": {
              "type": "string",
              "description": "The title value"
            },
            "color": {
              "type": "integer",
              "description": "The color value"
            },
            "timestamp": {
              "type": "string",
              "format": "date-time",
              "description": "The timestamp value"
            },
            "description": {
              "type": "string",
              "description": "The description value"
            },
            "author": {
              "type": "object",
              "description": "The author value"
            },
            "image": {
              "type": "object",
              "description": "The image value"
            },
            "thumbnail": {
              "type": "object",
              "description": "The thumbnail value"
            },
            "footer": {
              "type": "object",
              "description": "The footer value"
            },
            "fields": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string"
                  },
                  "value": {
                    "type": "string"
                  },
                  "inline": {
                    "type": "boolean"
                  }
                }
              },
              "description": "The fields value"
            },
            "provider": {
              "type": "object",
              "description": "The provider value"
            },
            "video": {
              "type": "object",
              "description": "The video value"
            }
          }
        },
        "description": "The embeds value"
      },
      "enforce_nonce": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "Enforce Nonce"
      },
      "flags": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The flags value"
      },
      "message_reference": {
        "type": "object",
        "description": "Message Reference",
        "properties": {
          "guild_id": {
            "type": "string",
            "description": "Guild Id"
          },
          "channel_id": {
            "type": "string",
            "description": "Channel Id"
          },
          "message_id": {
            "type": "string",
            "description": "Message Id"
          },
          "fail_if_not_exists": {
            "type": "boolean",
            "description": "Fail If Not Exists"
          },
          "type": {
            "type": "integer",
            "description": "The type value"
          }
        },
        "required": [
          "message_id"
        ]
      },
      "nonce": {
        "description": "The nonce value"
      },
      "poll": {
        "type": "object",
        "description": "The poll value",
        "properties": {
          "question": {
            "type": "object",
            "description": "The question value"
          },
          "answers": {
            "type": "array",
            "items": {
              "type": "object"
            },
            "description": "Each of the answers available in the poll, up to 10"
          },
          "allow_multiselect": {
            "type": "boolean",
            "description": "Whether a user can select multiple answers"
          },
          "layout_type": {
            "type": "integer",
            "description": "The layout type of the poll. Defaults to... DEFAULT!"
          },
          "duration": {
            "type": "integer",
            "description": "Number of hours the poll should be open for, up to 32 days. Defaults to 24"
          }
        },
        "required": [
          "question",
          "answers"
        ]
      },
      "shared_client_theme": {
        "type": "object",
        "description": "Shared Client Theme",
        "properties": {
          "colors": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "The colors value"
          },
          "gradient_angle": {
            "type": "integer",
            "description": "Gradient Angle"
          },
          "base_mix": {
            "type": "integer",
            "description": "Base Mix"
          },
          "base_theme": {
            "type": "integer",
            "description": "Base Theme"
          }
        },
        "required": [
          "colors",
          "gradient_angle",
          "base_mix"
        ]
      },
      "sticker_ids": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "snowflake"
        },
        "description": "Sticker Ids"
      },
      "tts": {
        "type": [
          "boolean",
          "null"
        ],
        "description": "The tts value"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_create\_pin

PUT /channels/\{channel\_id}/messages/pins/\{message\_id}

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `message_id` | string | Yes      | —       | Message Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_create\_thread

POST /channels/\{channel\_id}/threads

**Parameters:**

| Parameter    | Type   | Required | Default | Description  |
| ------------ | ------ | -------- | ------- | ------------ |
| `channel_id` | string | Yes      | —       | Channel Id   |
| `body`       | object | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_create\_thread\_from\_message

POST /channels/\{channel\_id}/messages/\{message\_id}/threads

**Parameters:**

| Parameter               | Type    | Required | Default | Description    |                       |
| ----------------------- | ------- | -------- | ------- | -------------- | --------------------- |
| `channel_id`            | string  | Yes      | —       | Channel Id     |                       |
| `message_id`            | string  | Yes      | —       | Message Id     |                       |
| `auto_archive_duration` | integer | null     | No      | —              | Auto Archive Duration |
| `name`                  | string  | Yes      | —       | The name value |                       |
| `rate_limit_per_user`   | integer | null     | No      | —              | Rate Limit Per User   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      },
      "auto_archive_duration": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Auto Archive Duration"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "rate_limit_per_user": {
        "type": [
          "integer",
          "null"
        ],
        "description": "Rate Limit Per User"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id",
      "name"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_create\_webhook

POST /channels/\{channel\_id}/webhooks

**Parameters:**

| Parameter    | Type   | Required | Default | Description    |                  |
| ------------ | ------ | -------- | ------- | -------------- | ---------------- |
| `channel_id` | string | Yes      | —       | Channel Id     |                  |
| `avatar`     | string | null     | No      | —              | The avatar value |
| `name`       | string | Yes      | —       | The name value |                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "avatar": {
        "type": [
          "string",
          "null"
        ],
        "description": "The avatar value"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "name"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_crosspost\_message

POST /channels/\{channel\_id}/messages/\{message\_id}/crosspost

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `message_id` | string | Yes      | —       | Message Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_delete\_all\_message\_reactions

DELETE /channels/\{channel\_id}/messages/\{message\_id}/reactions

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `message_id` | string | Yes      | —       | Message Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_delete\_all\_message\_reactions\_by\_emoji

DELETE /channels/\{channel\_id}/messages/\{message\_id}/reactions/\{emoji\_name}

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `message_id` | string | Yes      | —       | Message Id  |
| `emoji_name` | string | Yes      | —       | Emoji Name  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      },
      "emoji_name": {
        "type": "string",
        "description": "Emoji Name"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id",
      "emoji_name"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_delete\_channel

DELETE /channels/\{channel\_id}

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_delete\_channel\_permission\_overwrite

DELETE /channels/\{channel\_id}/permissions/\{overwrite\_id}

**Parameters:**

| Parameter      | Type   | Required | Default | Description  |
| -------------- | ------ | -------- | ------- | ------------ |
| `channel_id`   | string | Yes      | —       | Channel Id   |
| `overwrite_id` | string | Yes      | —       | Overwrite Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "overwrite_id": {
        "type": "string",
        "description": "Overwrite Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "overwrite_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_delete\_group\_dm\_user

DELETE /channels/\{channel\_id}/recipients/\{user\_id}

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `user_id`    | string | Yes      | —       | User Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "user_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_delete\_message

DELETE /channels/\{channel\_id}/messages/\{message\_id}

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `message_id` | string | Yes      | —       | Message Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_delete\_my\_message\_reaction

DELETE /channels/\{channel\_id}/messages/\{message\_id}/reactions/\{emoji\_name}/@me

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `message_id` | string | Yes      | —       | Message Id  |
| `emoji_name` | string | Yes      | —       | Emoji Name  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      },
      "emoji_name": {
        "type": "string",
        "description": "Emoji Name"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id",
      "emoji_name"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_delete\_pin

DELETE /channels/\{channel\_id}/messages/pins/\{message\_id}

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `message_id` | string | Yes      | —       | Message Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_delete\_thread\_member

DELETE /channels/\{channel\_id}/thread-members/\{user\_id}

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `user_id`    | string | Yes      | —       | User Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "user_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_delete\_user\_message\_reaction

DELETE /channels/\{channel\_id}/messages/\{message\_id}/reactions/\{emoji\_name}/\{user\_id}

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `message_id` | string | Yes      | —       | Message Id  |
| `emoji_name` | string | Yes      | —       | Emoji Name  |
| `user_id`    | string | Yes      | —       | User Id     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      },
      "emoji_name": {
        "type": "string",
        "description": "Emoji Name"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id",
      "emoji_name",
      "user_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_deprecated\_create\_pin

PUT /channels/\{channel\_id}/pins/\{message\_id}

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `message_id` | string | Yes      | —       | Message Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_deprecated\_delete\_pin

DELETE /channels/\{channel\_id}/pins/\{message\_id}

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `message_id` | string | Yes      | —       | Message Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_deprecated\_list\_pins

GET /channels/\{channel\_id}/pins

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_follow\_channel

POST /channels/\{channel\_id}/followers

**Parameters:**

| Parameter            | Type   | Required | Default | Description        |
| -------------------- | ------ | -------- | ------- | ------------------ |
| `channel_id`         | string | Yes      | —       | Channel Id         |
| `webhook_channel_id` | string | Yes      | —       | Webhook Channel Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "webhook_channel_id": {
        "type": "string",
        "description": "Webhook Channel Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "webhook_channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_get\_answer\_voters

GET /channels/\{channel\_id}/polls/\{message\_id}/answers/\{answer\_id}

**Parameters:**

| Parameter    | Type    | Required | Default | Description                         |
| ------------ | ------- | -------- | ------- | ----------------------------------- |
| `channel_id` | string  | Yes      | —       | Channel Id                          |
| `message_id` | string  | Yes      | —       | Message Id                          |
| `answer_id`  | integer | Yes      | —       | Answer Id                           |
| `after`      | string  | No       | —       | The after value                     |
| `limit`      | integer | No       | —       | Maximum number of results to return |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      },
      "answer_id": {
        "type": "integer",
        "description": "Answer Id"
      },
      "after": {
        "type": "string",
        "description": "The after value"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id",
      "answer_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_get\_channel

GET /channels/\{channel\_id}

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_get\_message

GET /channels/\{channel\_id}/messages/\{message\_id}

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `message_id` | string | Yes      | —       | Message Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_get\_thread\_member

GET /channels/\{channel\_id}/thread-members/\{user\_id}

**Parameters:**

| Parameter     | Type    | Required | Default | Description |
| ------------- | ------- | -------- | ------- | ----------- |
| `channel_id`  | string  | Yes      | —       | Channel Id  |
| `user_id`     | string  | Yes      | —       | User Id     |
| `with_member` | boolean | No       | —       | With Member |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "user_id": {
        "type": "string",
        "description": "User Id"
      },
      "with_member": {
        "type": "boolean",
        "description": "With Member"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "user_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_join\_thread

PUT /channels/\{channel\_id}/thread-members/@me

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_leave\_thread

DELETE /channels/\{channel\_id}/thread-members/@me

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_list\_channel\_invites

GET /channels/\{channel\_id}/invites

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_list\_channel\_webhooks

GET /channels/\{channel\_id}/webhooks

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_list\_message\_reactions\_by\_emoji

GET /channels/\{channel\_id}/messages/\{message\_id}/reactions/\{emoji\_name}

**Parameters:**

| Parameter    | Type    | Required | Default | Description                         |
| ------------ | ------- | -------- | ------- | ----------------------------------- |
| `channel_id` | string  | Yes      | —       | Channel Id                          |
| `message_id` | string  | Yes      | —       | Message Id                          |
| `emoji_name` | string  | Yes      | —       | Emoji Name                          |
| `after`      | string  | No       | —       | The after value                     |
| `limit`      | integer | No       | —       | Maximum number of results to return |
| `type`       | integer | No       | —       | The type value                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      },
      "emoji_name": {
        "type": "string",
        "description": "Emoji Name"
      },
      "after": {
        "type": "string",
        "description": "The after value"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "type": {
        "type": "integer",
        "description": "The type value"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id",
      "emoji_name"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_list\_messages

GET /channels/\{channel\_id}/messages

**Parameters:**

| Parameter    | Type    | Required | Default | Description                         |
| ------------ | ------- | -------- | ------- | ----------------------------------- |
| `channel_id` | string  | Yes      | —       | Channel Id                          |
| `around`     | string  | No       | —       | The around value                    |
| `before`     | string  | No       | —       | The before value                    |
| `after`      | string  | No       | —       | The after value                     |
| `limit`      | integer | No       | —       | Maximum number of results to return |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "around": {
        "type": "string",
        "description": "The around value"
      },
      "before": {
        "type": "string",
        "description": "The before value"
      },
      "after": {
        "type": "string",
        "description": "The after value"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_list\_my\_private\_archived\_threads

GET /channels/\{channel\_id}/users/@me/threads/archived/private

**Parameters:**

| Parameter    | Type    | Required | Default | Description                         |
| ------------ | ------- | -------- | ------- | ----------------------------------- |
| `channel_id` | string  | Yes      | —       | Channel Id                          |
| `before`     | string  | No       | —       | The before value                    |
| `limit`      | integer | No       | —       | Maximum number of results to return |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "before": {
        "type": "string",
        "description": "The before value"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_list\_pins

GET /channels/\{channel\_id}/messages/pins

**Parameters:**

| Parameter    | Type    | Required | Default | Description                         |
| ------------ | ------- | -------- | ------- | ----------------------------------- |
| `channel_id` | string  | Yes      | —       | Channel Id                          |
| `before`     | string  | No       | —       | The before value                    |
| `limit`      | integer | No       | —       | Maximum number of results to return |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "before": {
        "type": "string",
        "description": "The before value"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_list\_private\_archived\_threads

GET /channels/\{channel\_id}/threads/archived/private

**Parameters:**

| Parameter    | Type    | Required | Default | Description                         |
| ------------ | ------- | -------- | ------- | ----------------------------------- |
| `channel_id` | string  | Yes      | —       | Channel Id                          |
| `before`     | string  | No       | —       | The before value                    |
| `limit`      | integer | No       | —       | Maximum number of results to return |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "before": {
        "type": "string",
        "description": "The before value"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_list\_public\_archived\_threads

GET /channels/\{channel\_id}/threads/archived/public

**Parameters:**

| Parameter    | Type    | Required | Default | Description                         |
| ------------ | ------- | -------- | ------- | ----------------------------------- |
| `channel_id` | string  | Yes      | —       | Channel Id                          |
| `before`     | string  | No       | —       | The before value                    |
| `limit`      | integer | No       | —       | Maximum number of results to return |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "before": {
        "type": "string",
        "description": "The before value"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_list\_thread\_members

GET /channels/\{channel\_id}/thread-members

**Parameters:**

| Parameter     | Type    | Required | Default | Description                         |
| ------------- | ------- | -------- | ------- | ----------------------------------- |
| `channel_id`  | string  | Yes      | —       | Channel Id                          |
| `with_member` | boolean | No       | —       | With Member                         |
| `limit`       | integer | No       | —       | Maximum number of results to return |
| `after`       | string  | No       | —       | The after value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "with_member": {
        "type": "boolean",
        "description": "With Member"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "after": {
        "type": "string",
        "description": "The after value"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_poll\_expire

POST /channels/\{channel\_id}/polls/\{message\_id}/expire

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |
| `message_id` | string | Yes      | —       | Message Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_set\_channel\_permission\_overwrite

PUT /channels/\{channel\_id}/permissions/\{overwrite\_id}

**Parameters:**

| Parameter      | Type    | Required | Default | Description  |                 |
| -------------- | ------- | -------- | ------- | ------------ | --------------- |
| `channel_id`   | string  | Yes      | —       | Channel Id   |                 |
| `overwrite_id` | string  | Yes      | —       | Overwrite Id |                 |
| `allow`        | integer | null     | No      | —            | The allow value |
| `deny`         | integer | null     | No      | —            | The deny value  |
| `type`         | integer | null     | No      | —            | The type value  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "overwrite_id": {
        "type": "string",
        "description": "Overwrite Id"
      },
      "allow": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The allow value"
      },
      "deny": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The deny value"
      },
      "type": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The type value"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "overwrite_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_thread\_search

GET /channels/\{channel\_id}/threads/search

**Parameters:**

| Parameter     | Type      | Required | Default | Description                         |
| ------------- | --------- | -------- | ------- | ----------------------------------- |
| `channel_id`  | string    | Yes      | —       | Channel Id                          |
| `name`        | string    | No       | —       | The name value                      |
| `slop`        | integer   | No       | —       | The slop value                      |
| `min_id`      | string    | No       | —       | Min Id                              |
| `max_id`      | string    | No       | —       | Max Id                              |
| `tag`         | string\[] | No       | —       | The tag value                       |
| `tag_setting` | string    | No       | —       | Tag Setting                         |
| `archived`    | boolean   | No       | —       | The archived value                  |
| `sort_by`     | string    | No       | —       | Sort By                             |
| `sort_order`  | string    | No       | —       | Sort Order                          |
| `limit`       | integer   | No       | —       | Maximum number of results to return |
| `offset`      | integer   | No       | —       | The offset value                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "slop": {
        "type": "integer",
        "description": "The slop value"
      },
      "min_id": {
        "type": "string",
        "description": "Min Id"
      },
      "max_id": {
        "type": "string",
        "description": "Max Id"
      },
      "tag": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "snowflake"
        },
        "description": "The tag value"
      },
      "tag_setting": {
        "type": "string",
        "description": "Tag Setting"
      },
      "archived": {
        "type": "boolean",
        "description": "The archived value"
      },
      "sort_by": {
        "type": "string",
        "description": "Sort By"
      },
      "sort_order": {
        "type": "string",
        "description": "Sort Order"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_trigger\_typing\_indicator

POST /channels/\{channel\_id}/typing

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `channel_id` | string | Yes      | —       | Channel Id  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_update\_channel

PATCH /channels/\{channel\_id}

**Parameters:**

| Parameter    | Type   | Required | Default | Description  |
| ------------ | ------ | -------- | ------- | ------------ |
| `channel_id` | string | Yes      | —       | Channel Id   |
| `body`       | object | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_update\_message

PATCH /channels/\{channel\_id}/messages/\{message\_id}

**Parameters:**

| Parameter          | Type      | Required | Default | Description           |                   |
| ------------------ | --------- | -------- | ------- | --------------------- | ----------------- |
| `channel_id`       | string    | Yes      | —       | Channel Id            |                   |
| `message_id`       | string    | Yes      | —       | Message Id            |                   |
| `allowed_mentions` | object    | No       | —       | Allowed Mentions      |                   |
| `attachments`      | object\[] | No       | —       | The attachments value |                   |
| `components`       | any\[]    | No       | —       | The components value  |                   |
| `content`          | string    | null     | No      | —                     | The content value |
| `embeds`           | object\[] | No       | —       | The embeds value      |                   |
| `flags`            | integer   | null     | No      | —                     | The flags value   |
| `sticker_ids`      | string\[] | No       | —       | Sticker Ids           |                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "message_id": {
        "type": "string",
        "description": "Message Id"
      },
      "allowed_mentions": {
        "type": "object",
        "description": "Allowed Mentions",
        "properties": {
          "parse": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "The parse value"
          },
          "users": {
            "type": "array",
            "items": {
              "type": "string",
              "format": "snowflake"
            },
            "description": "The users value"
          },
          "roles": {
            "type": "array",
            "items": {
              "type": "string",
              "format": "snowflake"
            },
            "description": "The roles value"
          },
          "replied_user": {
            "type": "boolean",
            "description": "Replied User"
          }
        }
      },
      "attachments": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string",
              "format": "snowflake",
              "description": "The id value"
            },
            "filename": {
              "type": "string",
              "description": "The filename value"
            },
            "description": {
              "type": "string",
              "description": "The description value"
            },
            "duration_secs": {
              "type": "number",
              "format": "double",
              "description": "Duration Secs"
            },
            "waveform": {
              "type": "string",
              "description": "The waveform value"
            },
            "title": {
              "type": "string",
              "description": "The title value"
            },
            "is_remix": {
              "type": "boolean",
              "description": "Is Remix"
            }
          },
          "required": [
            "id"
          ]
        },
        "description": "The attachments value"
      },
      "components": {
        "type": "array",
        "description": "The components value"
      },
      "content": {
        "type": [
          "string",
          "null"
        ],
        "description": "The content value"
      },
      "embeds": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "type": {
              "type": "string",
              "description": "The type value"
            },
            "url": {
              "type": "string",
              "format": "uri",
              "description": "The url value"
            },
            "title": {
              "type": "string",
              "description": "The title value"
            },
            "color": {
              "type": "integer",
              "description": "The color value"
            },
            "timestamp": {
              "type": "string",
              "format": "date-time",
              "description": "The timestamp value"
            },
            "description": {
              "type": "string",
              "description": "The description value"
            },
            "author": {
              "type": "object",
              "description": "The author value"
            },
            "image": {
              "type": "object",
              "description": "The image value"
            },
            "thumbnail": {
              "type": "object",
              "description": "The thumbnail value"
            },
            "footer": {
              "type": "object",
              "description": "The footer value"
            },
            "fields": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string"
                  },
                  "value": {
                    "type": "string"
                  },
                  "inline": {
                    "type": "boolean"
                  }
                }
              },
              "description": "The fields value"
            },
            "provider": {
              "type": "object",
              "description": "The provider value"
            },
            "video": {
              "type": "object",
              "description": "The video value"
            }
          }
        },
        "description": "The embeds value"
      },
      "flags": {
        "type": [
          "integer",
          "null"
        ],
        "description": "The flags value"
      },
      "sticker_ids": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "snowflake"
        },
        "description": "Sticker Ids"
      }
    },
    "required": [
      "PCID",
      "channel_id",
      "message_id"
    ]
  }
  ```
</Expandable>

***

## discord-channels\_update\_voice\_channel\_status

Set a voice channel's status.

**Parameters:**

| Parameter    | Type   | Required | Default | Description |                              |
| ------------ | ------ | -------- | ------- | ----------- | ---------------------------- |
| `channel_id` | string | Yes      | —       | Channel Id  |                              |
| `status`     | string | null     | No      | —           | The new voice channel status |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "channel_id": {
        "type": "string",
        "description": "Channel Id"
      },
      "status": {
        "type": [
          "string",
          "null"
        ],
        "description": "The new voice channel status"
      }
    },
    "required": [
      "PCID",
      "channel_id"
    ]
  }
  ```
</Expandable>
